﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Web.Models;

namespace Web.Controllers
{
    //Models可以根据项目的定位进行拆分，譬如：三层
    public class DemoController : Controller
    {
        //显示List页面
        public ActionResult List()
        {
            PageData<Users> PageDate = new PageData<Users>();
            PageDate.Count = 100;//从数据库中获取总数据量
            PageDate.PageIndex = Request.QueryString["page"] != null ? int.Parse(Request.QueryString["page"]) : 0;
            List<Users> list = new List<Users>();//直接填充数据，这里是模拟
            for (int i = 1; i < PageDate.PageSize + 1; i++)
            {
                Users model = new Users()
                {
                    UID = PageDate.PageIndex * PageDate.PageSize + i,
                    UName = "张三",
                    UPassWord = "123456"
                };
                list.Add(model);
            }
            PageDate.GetDate = list; 
            return View(PageDate);
        }
        //显示添加页面
        public ActionResult Add()
        {
            return View();
        }
        [HttpPost]
        //进行添加操作
        public ActionResult Add(Users model)
        { 
            //这里可以进行新增操作
            //Bll.Add(model);
            return RedirectToAction("List");
        }
        //显示修改页面
        public ActionResult Edit(int id)
        {
            Users model = new Users()
            {
                UID = id,
                UName = "张三",
                UPassWord = "123456"
            };
            return View(model);
        }
        [HttpPost]
        //进行添加操作
        public ActionResult Edit(Users model)
        {
            //这里可以进行修改操作
            //Bll.Edit(model);
            return RedirectToAction("List");
        }
        [HttpPost]
        //进行删除操作
        public ActionResult Delete()
        {
            string UID=Request.Form["UID"];
            //这里可以进行修改操作
            //Bll.Delete(UID);
            return Content("true");
        }
    }
}
